#search_form
  = simple_form_for :search, url: @action_url.present? ? @action_url : root_path do |f|
    = f.input :departement, as: :hidden, input_html: { value: @departement }
    = f.input :city_code, as: :hidden, input_html: { value: @city_code }
    = f.input :street_ban_id, as: :hidden, input_html: { value: @street_ban_id }
    = f.input :latitude, as: :hidden, input_html: {value: @latitude}
    = f.input :longitude, as: :hidden, input_html: {value: @longitude}
    - if @where.present?
      .form-row.d-flex.justify-content-md-center.mb-2
        .col-lg-9
          = f.input :where, label: t(".address"), readonly: true, input_html: { value: @where, class: "form-control-lg" }, wrapper_html: { class: "mb-1 mb-lg-0" }
        .col-lg-3.align-self-end= link_to t(".change_address"), root_path, class: "btn btn-light btn-lg w-100 text-center"

      - if @service.present? && @geo_search.available_motifs.any?
        .form-row.d-flex.justify-content-md-center.mb-2
          .col-lg-9
            = f.input :service, as: :hidden, input_html: { value: @service.id }, wrapper_html: { class: "d-none" }

            = f.input :service_name, label: t(".service"), disabled: true, readonly: true, input_html: { value: @service.name, class: "form-control-lg" }, wrapper_html: { class: "mb-1 mb-lg-0" }
          .col-lg-3.align-self-end= link_to t(".change_service"), welcome_departement_path(@departement, where: @where, latitude: @latitude, longitude: @longitude, city_code: @city_code, street_ban_id: @street_ban_id), class: "btn btn-light btn-lg w-100 text-center"

        .form-row.d-flex.mb-2
          .col-lg-9
            = f.input :motif_name_with_location_type, \
              label: t(".motif"), \
              collection: @unique_motifs_by_name_and_location_type, \
              value_method: :name_with_location_type,
              label_method: -> { motif_name_with_special_location_type(_1) },
              selected: @motif_name_with_location_type, \
              required: true, \
              include_blank: t(".choose_motif"), \
              input_html: { \
                class: "select2-input", \
                data: { "select-options": { "disableSearch": true } }, \
              }, \
              wrapper_html: { class: "mb-1 mb-lg-0" }
          .col-lg-3.align-self-end= f.button :submit, t(".choose_this_motif"), class: "btn btn-white btn-lg w-100 text-center"
          .col-lg-12= render "common/contact", geo_search: @geo_search, message: t(".motif_not_in_list")

      - else
        .form-row.d-flex.mb-2
          - if @services.any?
            .col-lg-9
              = f.input :service, \
                label: t(".service"), \
                collection: @services, \
                label_method: :name, \
                value_method: :id, \
                required: true, \
                include_blank: t(".choose_service"), \
                input_html: { \
                  class: "form-control-lg w-100 select2-input", \
                  data: { "select-options": { "disableSearch": true } }, \
                }, \
                wrapper_html: { class: "mb-1 mb-lg-0" }
            .col-lg-3.align-self-end= f.button :submit, t(".choose_this_service"), class: "btn btn-white btn-lg w-100 text-center"

            .col-lg-12= render "common/contact", geo_search: @geo_search, message: t(".service_not_in_list")

          - else
            h3.text-white
              - if @organisations_departement.any?
                span Votre adresse n'est pas disponible à la prise de RDV en ligne
              - else
                | La prise de rendez-vous n'est pas disponible pour ce département.
              = render "common/contact", geo_search: @geo_search
    - else
      .form-row.d-flex.justify-content-md-center
        .col-lg-9= f.input :where, label: t(".address"), placeholder: t(".address_example"), input_html: { value: @where, class: "form-control-lg places-js-container" }, wrapper_html: { class: "mb-1 mb-lg-0" }
        .col-lg-3.align-self-end
          = f.button :button, id: "search_submit", class:  "btn-white btn-lg w-100 text-center", disabled: true do
            i.fa.fa-search>
            =t("helpers.search")
